List backup vaults
import requests
url = "https://platform.ankra.app/api/v1/org/backup-vaults"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/backup-vaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/backup-vaults \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"region": "<string>",
"bucket": "<string>",
"path_style": true,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>",
"last_verified_at": "2023-11-07T05:31:56Z",
"provisioned_via_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"platform_default_in_use": true
}Backups
List backup vaults
Lists the organisation’s backup vaults visible in the caller’s project scope. Requires the backups rollout and backups.read. Credentials are never returned.
GET
/
api
/
v1
/
org
/
backup-vaults
List backup vaults
import requests
url = "https://platform.ankra.app/api/v1/org/backup-vaults"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/backup-vaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/backup-vaults \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"region": "<string>",
"bucket": "<string>",
"path_style": true,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error_excerpt": "<string>",
"last_verified_at": "2023-11-07T05:31:56Z",
"provisioned_via_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"platform_default_in_use": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.